Change logs for ffmpeg source package in Wily

  • ffmpeg (7:2.7.6-0ubuntu0.15.10.1) wily-security; urgency=medium
    
      * Import new upstream bugfix release 2.7.6.
         - Fixes CVE-2016-2213. (LP: #1541622)
      * Use ubuntu versions for debian-tag in gbp.conf.
    
     -- Andreas Cadhalpun <email address hidden>  Wed, 03 Feb 2016 23:38:37 +0100
  • ffmpeg (7:2.7.5-0ubuntu0.15.10.1) wily-security; urgency=medium
    
      * Import new upstream bugfix release 2.7.5.
         - Fixes CVE-2016-1897 and CVE-2016-1898. (LP: #1533367)
    
     -- Andreas Cadhalpun <email address hidden>  Fri, 15 Jan 2016 21:05:04 +0100
  • ffmpeg (7:2.7.4-0ubuntu0.15.10.1) wily-security; urgency=medium
    
      * Import new upstream bugfix release 2.7.4. (LP: #1528682)
    
     -- Andreas Cadhalpun <email address hidden>  Tue, 22 Dec 2015 21:29:09 +0100
  • ffmpeg (7:2.7.3-0ubuntu0.15.10.1) wily-security; urgency=medium
    
      [ Andreas Cadhalpun ]
      * Import new upstream bugfix release 2.7.3. (LP: #1518549)
    
      [ Fabian Greffrath ]
      * Add alternative Depends: libavcodec-ffmpeg-extra56 to libavcodec-dev and
        ffmpeg-dbg to allow for building and debugging with this library installed.
        (LP: #1509632)
    
     -- Andreas Cadhalpun <email address hidden>  Sat, 21 Nov 2015 12:16:22 +0100
  • ffmpeg (7:2.7.2-1build1) wily; urgency=medium
    
      * No-change rebuild for opencv library renames.
    
     -- Matthias Klose <email address hidden>  Fri, 07 Aug 2015 11:43:18 +0200
  • ffmpeg (7:2.7.2-1) unstable; urgency=medium
    
      [ Reinhard Tartler ]
      * Add myself to uploaders.
      * Merge qt-faststart back into 'ffmpeg'.
    
      [ Andreas Cadhalpun ]
      * Upload to unstable.
      * Import new upstream bugfix release 2.7.2.
         - Make -xerror with multi-threading more robust. (Closes: #780344)
      * Enable frei0r, opencv, x264, x265 on x32 and x265 on sparc64.
      * Disable x264 on sparc64 due to #792921.
    
     -- Andreas Cadhalpun <email address hidden>  Mon, 20 Jul 2015 10:23:49 +0200
  • ffmpeg (7:2.7.1-1) unstable; urgency=medium
    
      * Import new upstream bugfix release 2.7.1.
      * Use DEB_LDFLAGS_MAINT_STRIP for removing the Bsymbolic-functions flag.
      * Use lissh-gcrypt-dev to avoid linking against libssl.
      * Disable DH_VERBOSE in debian/rules.
      * Add libavresample-ffmpeg2 and qt-faststart dependencies to ffmpeg-dbg.
      * Enable opencv and zvbi on m68k, disable opencv on alpha.
      * Remove unused, optional and private avpriv_emms_yasm from symbols file.
      * Build an altivec flavor on powerpc.
    
     -- Andreas Cadhalpun <email address hidden>  Sun, 21 Jun 2015 23:38:07 +0200
  • ffmpeg (7:2.7-1) unstable; urgency=medium
    
      * Import new major upstream release 2.7.
         - Suggest new mpeg4_unpack_bframes bitstream filter instead of
           VirtualDub/Avidemux. (Closes: #781510)
      * Add new symbols.
      * Change maintainer to the pkg-multimedia team and move myself to uploaders.
      * Let ffmpeg suggest ffmpeg-doc.
      * Fix encdec autopkgtest to not fail, when skipping tests.
      * Restrict shlib-with-non-pic-code lintian override to i386.
        Thanks to Jakub Wilk for the hint.
      * Use '-strict -2' in the encdec autopkgtest also for probing/decoding.
      * Disable loongson3 optimizations on mips, because they are not always
        available.
      * Update debian/copyright.
      * Update debian/tests/encdec_list.txt.
    
     -- Andreas Cadhalpun <email address hidden>  Thu, 11 Jun 2015 00:47:35 +0200
  • ffmpeg (7:2.6.3-1build1) wily; urgency=medium
    
      * No change rebuild for libx265-59
    
     -- Micah Gersten <email address hidden>  Mon, 01 Jun 2015 13:51:09 -0500
  • ffmpeg (7:2.6.3-1) unstable; urgency=medium
    
      * Import new upstream bugfix release 2.6.3.
      * Don't install the pc-uninstalled directory.
        It is only useful in the source.
      * Use 'set -e' in the autopkgtests.
      * Explicitly build-depend on pkg-config.
      * Enable gnutls and librtmp on sparc64, libvpx and libsdl on x32 and
        opencv on powerpcspe, since they are now available.
      * Disable i686 optimizations on (hurd-)i386, because i586 is still
        supported.
      * Temporarily use gdb in sparc64 builds to investigate test failures.
      * Re-enable assembler optimizations on ppc64el, since they are
        finally really fixed.
    
     -- Andreas Cadhalpun <email address hidden>  Sun, 17 May 2015 22:03:38 +0200
  • ffmpeg (7:2.6.2-1build1) wily; urgency=medium
    
      * No change rebuild for new x264
    
     -- Micah Gersten <email address hidden>  Wed, 13 May 2015 18:12:33 -0500
  • ffmpeg (7:2.6.2-1) unstable; urgency=medium
    
    
      * Import new upstream bugfix release 2.6.2.
      * Drop build-dependency on bc, the tests use awk since 2.6.
      * Drop override_dh_strip in debian/rules, because binutils is now built
        with --enable-deterministic-archives.
    
     -- Andreas Cadhalpun <email address hidden>  Sun, 12 Apr 2015 22:51:20 +0200
  • ffmpeg (7:2.5.4-1) unstable; urgency=medium
    
    
      * Import new upstream bugfix release 2.5.4.
      * Drop configure-enable-vsx-together-with-altivec-for-ppc64el.patch
        included upstream.
      * Add patches making the build binary reproducible.
      * Stop using faketime.
      * Correctly handle noopt in DEB_BUILD_OPTIONS.
      * Disable assembler optimizations on ppc64el, as they don't work yet.
      * Disable assembler optimizations on mips64(el), as they don't work yet.
        Thanks to James Cowgill. (Closes: #776649)
      * Fix dep5-copyright-license-name-not-unique lintian warnings.
    
     -- Andreas Cadhalpun <email address hidden>  Sat, 14 Feb 2015 23:14:52 +0100